D4Science Infrastructure - Incident #12552

VME-DB error after updating a VME report
Sep 26, 2018 09:37 AM - Jesus Santamaria Fernandez

Status: Closed Start date: Sep 26, 2018
Priority: High Due date:

Assignee: Jesus Santamaria Fernandez % Done: 100%
Category: Estimated time: 0.00 hour
Target version: No Sprint

Infrastructure: Production

Description

In order to reproduce the steps it is necessary to edit an existing VME report in the VME-DB application, update it and commit the
changes. Once the report has been committed there is an error indicating: "Report Exporting has failed for the following reason:
Sorry, there was an error on the Server, please try again in few minutes or report an Issue".

This error happened today 25th of October at 17 hours (Roma time zone).

History

#1 - Sep 26, 2018 10:24 AM - Massimiliano Assante

- Status changed from New to In Progress

#2 - Sep 26, 2018 10:32 AM - Massimiliano Assante
- % Done changed from 0 to 50

#3 - Sep 26, 2018 04:24 PM - Massimiliano Assante

here's the server log

Hi Jesus,
please find the server log related oto a VME update report

2018-09-26 08:29:51,578 INFO o0.g.a.r.s.b.i.ReportManagerReportBuilder [http-bio-9090-exec-100,extract:84][PORTAL] 750491568
[http-bio-9090-exec-100] INFO org.gcube.application.rsg.support.builder.impl.ReportManagerReportBuilder - Inspecting section #5

2018-09-26 08:29:51,578 INFO o0.g.a.r.s.b.i.ReportManagerReportBuilder [http-bio-9090-exec-100,extract:86][PORTAL] 750491568
[http-bio-9090-exec-100] INFO org.gcube.application.rsg.support.builder.impl.ReportManagerReportBuilder - Section has 2 components:
2018-09-26 08:29:51,579 INFO o.g.a.r.s.b.i.ReportManagerReportBuilder [http-bio-9090-exec-100,extractinternal:110][PORTAL] 750491569
[http-bio-9090-exec-100] INFO org.gcube.application.rsg.support.builder.impl.ReportManagerReportBuilder - Inspecting component
SEQUENCE_LIST[ID: -1]

2018-09-26 08:29:51,579 INFO o.g.a.r.s.b.i.ReportManagerReportBuilder [http-bio-9090-exec-100,extractinternal:110][PORTAL] 750491569
[http-bio-9090-exec-100] INFO org.gcube.application.rsg.support.builder.impl.ReportManagerReportBuilder - Inspecting component HIDDEN [ ID: ]
2018-09-26 08:29:51,579 INFO o.g.a.r.s.m.u.CompiledReportUtils [http-bio-9090-exec-100,find:162][PORTAL] 750491569 [http-bio-9090-exec-100]
INFO org.gcube.application.rsg.support.model.utils.CompiledReportUtils - Attempting to find #.mediaReferenceList[0] in CompiledReport : null #
2018-09-26 08:29:51,579 WARN o.g.a.r.s.m.u.CompiledReportUtils [http-bio-9090-exec-100,find:177][PORTAL] 750491569 [http-bio-9090-exec-100]
WARN org.gcube.application.rsg.support.model.utils.CompiledReportUtils - Unable to find #.mediaReferenceList[0] in CompiledReport : null #
2018-09-26 08:29:51,580 INFO o.g.a.r.s.m.u.CompiledReportUtils [http-bio-9090-exec-100,find:162][PORTAL] 750491570 [http-bio-9090-exec-100]
INFO org.gcube.application.rsg.support.model.utils.CompiledReportUtils - Attempting to find #.mediaReferenceList in CompiledReport : null #
2018-09-26 08:29:51,581 INFO o.g.a.r.s.b.i.ReportManagerReportBuilder [http-bio-9090-exec-100,extractHidden:243][PORTAL] 750491571
[http-bio-9090-exec-100] INFO org.gcube.application.rsg.support.builder.impl.ReportManagerReportBuilder - Component HIDDEN [ ID: - Binding:
#.mediaReferenceList[0].id ] updating parent sequence entry ID to -1

2018-09-26 08:29:51,581 INFO o.g.a.r.s.b.i.ReportManagerReportBuilder [hitp-bio-9090-exec-100,extractinternal:110][PORTAL] 750491571
[http-bio-9090-exec-100] INFO org.gcube.application.rsg.support.builder.impl.ReportManagerReportBuilder - Inspecting component TEXT_INPUT [
ID:-1]

2018-09-26 08:29:51,581 INFO o.g.a.r.s.m.u.CompiledReportUtils [http-bio-9090-exec-100,find:162][PORTAL] 750491571 [http-bio-9090-exec-100]
INFO org.gcube.application.rsg.support.model.utils.CompiledReportUtils - Attempting to find #.mediaReferencelList[0].title in CompiledReport : null #
2018-09-26 08:29:51,582 INFO o0.g.a.r.s.b.i.ReportManagerReportBuilder [http-bio-9090-exec-100,extractinput:217][PORTAL] 750491572
[http-bio-9090-exec-100] INFO org.gcube.application.rsg.support.builder.impl.ReportManagerReportBuilder - Component TEXT_INPUT [ ID: -1 -
Binding: #.mediaReferencelList[0].title ] value is

2018-09-26 08:29:51,582 INFO o0.g.a.r.s.b.i.ReportManagerReportBuilder [http-bio-9090-exec-100,extractinternal:110][PORTAL] 750491572
[http-bio-9090-exec-100] INFO org.gcube.application.rsg.support.builder.impl.ReportManagerReportBuilder - Inspecting component TEXT_INPUT [
ID:-1]

2018-09-26 08:29:51,582 INFO o0.g.a.r.s.m.u.CompiledReportUtils [http-bio-9090-exec-100,find:162][PORTAL] 750491572 [http-bio-9090-exec-100]
INFO org.gcube.application.rsg.support.model.utils.CompiledReportUtils - Attempting to find #.mediaReferenceList[0].description in CompiledReport :
null #

2018-09-26 08:29:51,583 INFO o0.g.a.r.s.b.i.ReportManagerReportBuilder [http-bio-9090-exec-100,extractinput:217][PORTAL] 750491573
[http-bio-9090-exec-100] INFO org.gcube.application.rsg.support.builder.impl.ReportManagerReportBuilder - Component TEXT_INPUT [ ID: -1 -
Binding: #.mediaReferenceList[0].description ] value is

2018-09-26 08:29:51,583 INFO o0.g.a.r.s.b.i.ReportManagerReportBuilder [http-bio-9090-exec-100,extractinternal:110][PORTAL] 750491573
[http-bio-9090-exec-100] INFO org.gcube.application.rsg.support.builder.impl.ReportManagerReportBuilder - Inspecting component TEXT_INPUT [
ID:-1]

2018-09-26 08:29:51,583 INFO o0.g.a.r.s.m.u.CompiledReportUtils [http-bio-9090-exec-100,find:162][PORTAL] 750491573 [http-bio-9090-exec-100]
INFO org.gcube.application.rsg.support.model.utils. CompiledReportUtils - Attempting to find #.mediaReferenceList[0].credits in CompiledReport : null
#

2018-09-26 08:29:51,583 INFO o0.g.a.r.s.b.i.ReportManagerReportBuilder [http-bio-9090-exec-100,extractinput:217][PORTAL] 750491573
[http-bio-9090-exec-100] INFO org.gcube.application.rsg.support.builder.impl.ReportManagerReportBuilder - Component TEXT_INPUT [ ID: -1 -
Binding: #.mediaReferenceList[0].credits ] value is

2018-09-26 08:29:51,583 INFO o.g.a.r.s.b.i.ReportManagerReportBuilder [http-bio-9090-exec-100,extractinternal:110][PORTAL] 750491573
[http-bio-9090-exec-100] INFO org.gcube.application.rsg.support.builder.impl.ReportManagerReportBuilder - Inspecting component TEXT_INPUT [
ID:-1]

2018-09-26 08:29:51,584 INFO o0.g.a.r.s.m.u.CompiledReportUtils [http-bio-9090-exec-100,find:162][PORTAL] 750491574 [http-bio-9090-exec-100]
INFO org.gcube.application.rsg.support.model.utils. CompiledReportUtils - Attempting to find #.mediaReferenceList[0].url in CompiledReport : null #
2018-09-26 08:29:51,584 INFO o.g.a.r.s.b.i.ReportManagerReportBuilder [http-bio-9090-exec-100,extractinput:217][PORTAL] 750491574
[http-bio-9090-exec-100] INFO org.gcube.application.rsg.support.builder.impl.ReportManagerReportBuilder - Component TEXT_INPUT [ ID: -1 -
Binding: #.mediaReferenceList[0].url ] value is

2018-09-26 08:29:51,584 INFO o.g.a.r.s.b.i.ReportManagerReportBuilder [http-bio-9090-exec-100,extractinternal:110][PORTAL] 750491574
[http-bio-9090-exec-100] INFO org.gcube.application.rsg.support.builder.impl.ReportManagerReportBuilder - Inspecting component BOXAREA [ ID:
]

2018-09-26 08:29:51,585 INFO o.g.a.r.s.m.u.CompiledReportUtils [http-bio-9090-exec-100,find:162][PORTAL] 750491575 [http-bio-9090-exec-100]
INFO org.gcube.application.rsg.support.model.utils.CompiledReportUtils - Attempting to find #.mediaReferenceList[0].type in CompiledReport : null #
2018-09-26 08:29:51,585 INFO o.g.a.r.s.b.i.ReportManagerReportBuilder [http-bio-9090-exec-100,extractChoice:284][PORTAL] 750491575
[http-bio-9090-exec-100] INFO org.gcube.application.rsg.support.builder.impl.ReportManagerReportBuilder - Component BOXAREA [ ID: - Binding:
#.mediaReferencelList[0].type ] value is [null]

2018-09-26 08:29:51,585 INFO o0.g.p.u.r.s.s.ReportServicelmpl [http-bio-9090-exec-100,exportReportToRSG:1586][PORTAL] 750491575
[http-bio-9090-exec-100] INFO org.gcube.portlets.user.reportgenerator.server.servlet.ReportServicelmpl - Exporting VME Report

2018-09-26 08:29:51,585 INFO o0.g.a.r.c.RsgWriteClient [http-bio-9090-exec-100,endpointFor:100][PORTAL] 750491575 [http-bio-9090-exec-100]
INFO org.gcube.application.rsg.client.RsgWriteClient - Endpoint for update/report is
http://www.fao.org/figis/secure-reports-store-gateway/rest/write/update/report

[PORTAL] 750491596 [http-bio-9090-exec-100] INFO org.fao.fi.security.client.javax.filters. TokenSecuredRequestDecorator - Requesting token from
remote token provider...

[PORTAL] 750491597 [http-bio-9090-exec-100] INFO org.fao.fi.security.client.providers.token.impl.BasicTokenProviderServiceClient - Requesting
and extracting token from http://www.fao.org/figis/secure-reports-store-gateway/security/token/plain/request

[PORTAL] 750491597 [http-bio-9090-exec-100] INFO org.fao.fi.security.client.providers.token.impl.BasicTokenProviderServiceClient - Requesting
token from http://www.fao.org/figis/secure-reports-store-gateway/security/token/plain/request

[PORTAL] 750491597 [http-bio-9090-exec-100] INFO org.fao.fi.security.client.providers.token.impl.BasicTokenProviderServiceClient - Building token
request to hitp:/www.fao.org/figis/secure-reports-store-gateway/security/token/plain/request

[PORTAL] 750491597 [http-bio-9090-exec-100] INFO org.fao.fi.security.client.providers.token.impl.BasicTokenProviderServiceClient - Token request
to http://www.fao.org/figis/secure-reports-store-gateway/security/token/plain/request has been built in 0 mSec.

[PORTAL] 750491841 [http-bio-9090-exec-100] INFO org.fao.fi.security.client.providers.token.impl.BasicTokenProviderServiceClient - Token has
been received from http://www.fao.org/figis/secure-reports-store-gateway/security/token/plain/request in 244 mSec.

[PORTAL] 750491841 [http-bio-9090-exec-100] INFO org.fao.fi.security.client.providers.token.impl.BasicTokenProviderServiceClient - Extracting
token from response received by http:/www.fao.org/figis/secure-reports-store-gateway/security/token/plain/request

[PORTAL] 750491841 [http-bio-9090-exec-100] INFO org.fao.fi.security.client.providers.token.impl.BasicTokenProviderServiceClient - Reading
response entity...

[PORTAL] 750491842 [http-bio-9090-exec-100] INFO org.fao.fi.security.client.providers.token.impl.BasicTokenProviderServiceClient - Response
entity has been read in 1 mSec. (32 bytes in total)

[PORTAL] 750491842 [http-bio-9090-exec-100] INFO org.fao.fi.security.client.providers.token.impl.BasicTokenProviderServiceClient - Processing
token before consumption via org.fao.fi.security.common.support.token.impl.ldentity TokenProcessor@6ecf18b9...

[PORTAL] 750491842 [http-bio-9090-exec-100] INFO org.fao.fi.security.client.providers.token.impl.BasicTokenProviderServiceClient - Processing
token before consumption via org.fao.fi.security.common.support.token.impl.ldentity TokenProcessor@6ecf18b9 took 0 mSec.

[PORTAL] 750491842 [http-bio-9090-exec-100] INFO org.fao.fi.security.client.providers.token.impl.BasicTokenProviderServiceClient - Token has
been extracted and processed from response received by http://www.fao.org/figis/secure-reports-store-gateway/security/token/plain/request in 1
mSec.

[PORTAL] 750491842 [http-bio-9090-exec-100] INFO org.fao.fi.security.client.providers.token.impl.BasicTokenProviderServiceClient - Token has
been requested and extracted from http:/www.fao.org/figis/secure-reports-store-gateway/security/token/plain/request in 245 mSec.

[PORTAL] 750491842 [http-bio-9090-exec-100] INFO org.fao.fi.security.client.javax.filters. TokenSecuredRequestDecorator - Remote token has been
received, extracted and processed in 246 mSec.

[PORTAL] 750491842 [http-bio-9090-exec-100] INFO org.fao.fi.security.client.javax.filters. TokenSecuredRequestDecorator - Client-side processing
received token...

[PORTAL] 750491842 [http-bio-9090-exec-100] INFO org.fao.fi.security.client.javax.filters. TokenSecuredRequestDecorator - Received token has
been processed on the client-side in 0 mSec.

2018-09-26 08:29:51,853 INFO o0.g.a.r.w.s.JAXBContextProvider [http-bio-9090-exec-100,:34][PORTAL] 750491843 [http-bio-9090-exec-100] INFO
org.gcube.application.rsg.webservice.support.JAXBContextProvider - Initializing org.gcube.application.rsg.webservice.support.JAXBContextProvider
2018-09-26 08:29:51,854 INFO o.g.a.r.c.s.JAXBClientContextProvider [http-bio-9090-exec-100,:36][PORTAL] 750491844 [http-bio-9090-exec-100]
INFO org.gcube.application.rsg.client.support.JAXBClientContextProvider - Initializing
org.gcube.application.rsg.client.support.JAXBClientContextProvider

javax.ws.rs.ProcessingException: java.net.SocketTimeoutException: Read timed out
at org.glassfish.jersey.client.HttpUrIConnector.apply(HttpUrlIConnector.java:229)

at org.glassfish.jersey.client.ClientRuntime.invoke(ClientRuntime.java:224)

at org.glassfish.jersey.client.Jerseylnvocation$1.call(Jerseylnvocation.java:655)

Jun 17, 2025 2/5


http://www.fao.org/figis/secure-reports-store-gateway/rest/write/update/report
http://www.fao.org/figis/secure-reports-store-gateway/security/token/plain/request
http://www.fao.org/figis/secure-reports-store-gateway/security/token/plain/request
http://www.fao.org/figis/secure-reports-store-gateway/security/token/plain/request
http://www.fao.org/figis/secure-reports-store-gateway/security/token/plain/request
http://www.fao.org/figis/secure-reports-store-gateway/security/token/plain/request
http://www.fao.org/figis/secure-reports-store-gateway/security/token/plain/request
mailto:org.fao.fi.security.common.support.token.impl.IdentityTokenProcessor@6ecf18b9
http://www.fao.org/figis/secure-reports-store-gateway/security/token/plain/request
http://www.fao.org/figis/secure-reports-store-gateway/security/token/plain/request

at org.glassfish.jersey.client.Jerseylnvocation$1.call(Jerseylnvocation.java:652)

at org.glassfish.jersey.internal.Errors.process(Errors.java:315)

at org.glassfish.jersey.internal.Errors.process(Errors.java:297)

at org.glassfish.jersey.internal.Errors.process(Errors.java:228)

at org.glassfish.jersey.process.internal.RequestScope.runinScope(RequestScope.java:424)
at org.glassfish.jersey.client.Jerseylnvocation.invoke(Jerseylnvocation.java:652)

at org.glassfish.jersey.client.Jerseylnvocation$Builder.method(Jerseylnvocation.java:412)
at org.glassfish.jersey.client.Jerseylnvocation$Builder.post(Jerseylnvocation.java:321)

at org.gcube.application.rsg.client. RsgWriteClient.update(RsgWriteClient.java:59)

at org.gcube.portlets.user.reportgenerator.server.servlet.ReportServicelmpl.exportReportToRSG(ReportServicelmpl.java: 1587)

at sun.reflect.NativeMethodAccessorlmpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorlmpl.invoke(NativeMethodAccessorimpl.java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorimpl.java:43)

at java.lang.reflect.Method.invoke(Method.java:498)

at com.google.gwt.user.server.rpc.RPC.invokeAndEncodeResponse(RPC.java:561)

at com.google.gwt.user.server.rpc.RemoteServiceServlet.processCall(RemoteServiceServlet.java:208)
at com.google.gwt.user.server.rpc.RemoteServiceServlet.processPost(RemoteServiceServlet.java:248)
at com.google.gwt.user.server.rpc.AbstractRemoteServiceServiet.doPost(AbstractRemoteServiceServlet.java:62)
at javax.servlet.http.HttpServlet.service(HttpServlet.java:650)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:731)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:303)

at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:241)

at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

at com.liferay.portal.kernel.servlet filters.invoker.InvokerFilterChain.doFilter(InvokerFilterChain.java:116)
at sun.reflect. GeneratedMethodAccessor1916.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorimpl.java:43)

at java.lang.reflect.Method.invoke(Method.java:498)

at com.liferay.portal.kernel.bean.ClassLoaderBeanHandler.invoke(ClassLoaderBeanHandler.java:67)
at com.sun.proxy.$Proxy952.doFilter(Unknown Source)

at com.liferay.portal.kernel.servlet filters.invoker.InvokerFilterChain.doFilter(InvokerFilterChain.java:116)
at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDirectCallFilter(InvokerFilterChain.java:165)
at com.liferay.portal.kernel.servlet filters.invoker.InvokerFilterChain.doFilter(InvokerFilterChain.java:96)
at com.liferay.portal.kernel.servlet.PortalClassLoaderFilter.doFilter(PortalClassLoaderFilter.java:74)

at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDoFilter(InvokerFilterChain.java:204)
at com.liferay.portal.kernel.servlet filters.invoker.InvokerFilterChain.doFilter(InvokerFilterChain.java:109)
at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilter.doFilter(InvokerFilter.java:119)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:241)

at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:220)

at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:122)

at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:505)

at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:170)

at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:103)

at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:957)

at org.gcube.portal.threadlocalexec.SmartGearsPortalValve.invoke(SmartGearsPortalValve.java:69)

at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:116)

at org.apache.catalina.ha.tcp.ReplicationValve.invoke(ReplicationValve.java:333)

at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:423)

at org.apache.coyote.http11.AbstractHttp11Processor.process(AbstractHttp11Processor.java:1079)

at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.java:620)
at org.apache.tomcat.util.net.JlIoEndpoint$SocketProcessor.run(JloEndpoint.java:316)

at java.util.concurrent. ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)

at java.util.concurrent. ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)

at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)

at java.lang.Thread.run(Thread.java:748)

Caused by: java.net.SocketTimeoutException: Read timed out

at java.net.SocketInputStream.socketRead0(Native Method)

at java.net.SocketInputStream.socketRead(SocketInputStream.java:116)

at java.net.SocketInputStream.read(SocketInputStream.java:171)

at java.net.SocketlnputStream.read(SocketInputStream.java: 141)

at java.io.BufferedInputStream.fill(BufferedInputStream.java:246)

at java.io.BufferedInputStream.read1(BufferedInputStream.java:286)

at java.io.BufferedInputStream.read(BufferedinputStream.java:345)

at sun.net.

at sun.net.

at sun.net.

at sun.net.

at java.net.HttpURLConnection.getResponseCode(HttpURLConnection.java:480)

at org.glassfish.jersey.client.HttpUrIConnector._apply(HttpUrlConnector.java:321)

at org.glassfish.jersey.client.HttpUrIConnector.apply(HttpUrlConnector.java:227)

... 59 more
#4 - Sep 26, 2018 05:54 PM - Jesus Santamaria Fernandez

The log is showing a timeout error due to the time that takes the service to respond.
Due to the current performance the service takes up to 10 seconds to answer, also in this case an error message appears to the user indicating that
the report exporting has failed when the report has been in fact updated.

Could the timeout of the org.gcube.application.rsg.client be updated to 15 seconds?
#5 - Sep 26, 2018 06:06 PM - Massimiliano Assante
Jesus Santamaria Fernandez wrote:
The log is showing a timeout error due to the time that takes the service to respond.
Due to the current performance the service takes up to 10 seconds to answer, also in this case an error message appears to the user indicating
that the report exporting has failed when the report has been in fact updated.
Could the timeout of the org.gcube.application.rsg.client be updated to 15 seconds?

As per you knowledge is the timeout indicated in the code somewhere? | mean org.gcube.application.rsg.client component was written by FAO former
employee (Fabio Fiorellato), although the code is committed on d4science svn.

#6 - Sep 26, 2018 06:10 PM - Jesus Santamaria Fernandez

I am checking the reports-store-gateway-client version 1.0.2 where the timeout is set in the AbstractRSGClient abstract class within the
org.gcube.application.rsg.client package, but | use a decompiled version to see the real code.

#7 - Sep 26, 2018 06:15 PM - Massimiliano Assante

Jesus Santamaria Fernandez wrote:
I am checking the reports-store-gateway-client version 1.0.2 where the timeout is set in the AbstractRSGClient abstract class within the
org.gcube.application.rsg.client package, but | use a decompiled version to see the real code.

oh... I didn't know you had no info about this, this will be really helpful then:

The current version used by the Reports Manager app is 1.0.3 (
http://eticsbuild2.research-infrastructures.eu/BuildReport/home/AllBuilds/org.gcube.4-12-1/BUILD_21)

and the source code can be found here on SVN anonymous access:
http://svn.research-infrastructures.eu/public/d4science/gcube/branches/application/reports-store-gateway/1.0.3/

#8 - Sep 28, 2018 10:46 AM - Jesus Santamaria Fernandez

The read timeout is set in the AbstractRSGClient class (line 93):
http://svn.research-infrastructures.eu/public/d4science/gcube/branches/application/reports-store-gateway/1.0.3/reports-store-gateway-client/src/main/j
va/or /application/rsg/client/AbstractR lient.jav

By default is infinity (0), in this case is set to 5000ms (5 seconds) but we would need to increase it to 15000 (15 seconds)
Is this library maintained by FAO or by d4science?
Regards.

#9 - Sep 28, 2018 11:16 AM - Massimiliano Assante

D4Science only hosts the source code and build it to provide the Reports Manager webapp. The library was developed by one FAO former colleague
(Fabio Fiorellato) so I'm guessing FAO is maintaining it (no maintenance was requires in the last few years though).

We can give you write access to the SVN project so that you can modify the code, or as | understand the required change code is a sole matter of
replacing 5000 with 15000, we can make it for this time and release the fixed version of the library.

Please tell me what you prefer

#10 - Sep 28, 2018 12:11 PM - Jesus Santamaria Fernandez

The change is just replacing 5000 in the read timeout by 15000 so if possible please go ahead with the modification.

#11 - Oct 02, 2018 02:39 PM - Jesus Santamaria Fernandez

Dear Massimiliano, would be still possible to give write access to the SVN project using the email address jesus.santamariafernandez@fao.org ?
Best regards,
Jesus.
mailto:jesus.santamariafernandez@fao.org

#12 - Oct 02, 2018 08:10 PM - Pasquale Pagano

No sorry, it is not possible. You need to be a member of the gCube VRE to get access to SVN in write mode.

#13 - Oct 08, 2018 11:37 AM - Massimiliano Assante
- % Done changed from 50 to 100

The fix has been done in the code as requested, submitting a remote build now
#15 - Oct 08, 2018 03:14 PM - Jesus Santamaria Fernandez

Dear Massimiliano,

We have tried again but still a warning message appears after updating a report even if the report is modified in the remote server. If the application
has already been deployed in production, would it be possible to check the logs again?

Thank you in advance.

#16 - Oct 08, 2018 03:18 PM - Massimiliano Assante

Jesus, Production has not been updated yet. The fix is in integration now. Will let you know when we put the Reports Manager containing the fix on
production (likely tomorrow evening)

#17 - Oct 08, 2018 06:41 PM - Massimiliano Assante
- Status changed from In Progress to Feedback

- Assignee changed from Massimiliano Assante to Jesus Santamaria Fernandez

Jesus, good news, Reports manager updated in production and seems working.
Just for testing purposes | committed a SEAFO VME named: Unnamed 10 (17) and it worked.

Please check and if everything is fine close this ticket-

#18 - Oct 09, 2018 09:29 AM - Jesus Santamaria Fernandez
- Status changed from Feedback to Closed

Thank you all for the effort, | will proceed to close the ticket as everything is working fine.

Files

error.png 30.6 KB Sep 26, 2018 Jesus Santamaria Fernandez
